DefaultJAXRPC11TypeMappingImpl (Axis API)
Keywords: org.apache.axis.encoding.DefaultJAXRPC11TypeMappingImpl class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.encoding
Class DefaultJAXRPC11TypeMappingImpl

    java.lang.Object
      org.apache.axis.encoding.TypeMappingImpl
          org.apache.axis.encoding.DefaultTypeMappingImpl
              org.apache.axis.encoding.DefaultJAXRPC11TypeMappingImpl

All Implemented Interfaces:
  java.io.Serializable

public class DefaultJAXRPC11TypeMappingImpl
extends DefaultTypeMappingImpl

This is the implementation of the axis Default JAX-RPC SOAP Encoding TypeMapping See DefaultTypeMapping for more information.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.apache.axis.encoding.TypeMappingImpl
`TypeMappingImpl.Pair`

Field Summary

Fields inherited from class org.apache.axis.encoding.TypeMappingImpl
`doAutoTypes, dotnet_soapenc_bugfix, log`

Constructor Summary
`protected` | `DefaultJAXRPC11TypeMappingImpl()`

Method Summary
`static TypeMappingImpl` | `getSingleton()` Obtain the singleton default typemapping.

Methods inherited from class org.apache.axis.encoding.DefaultTypeMappingImpl
`getSingletonDelegate, initMappings, myRegister, myRegisterSimple, register, removeDeserializer, removeSerializer, setSupportedEncodings`

Methods inherited from class org.apache.axis.encoding.TypeMappingImpl
`finalGetDeserializer, finalGetSerializer, getAllClasses, getClassForQName, getDeserializer, getSerializer, getSupportedEncodings, getTypeQName, getTypeQNameExact, getTypeQNameRecursive, getXMLType, internalRegister, isRegistered, setDoAutoTypes, shouldDoAutoTypes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultJAXRPC11TypeMappingImpl

    protected DefaultJAXRPC11TypeMappingImpl()

Method Detail

### getSingleton

    public static TypeMappingImpl getSingleton()

  Obtain the singleton default typemapping.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.